Bug 480650 - Icecast 2.3.1 from yum repo does not bind to correct ports
Icecast 2.3.1 from yum repo does not bind to correct ports
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icecast (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 12:28 EST by Seann
Modified: 2009-10-23 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.3.2-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:59:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seann 2009-01-19 12:28:51 EST
Description of problem:
When running icecast from the yum repository on Fedora 9 the icecast daemon does not bind to the ip address and port combination that is expected. Instead it chooses a random port to create the socket, as detailed in the examples. The problem itself is resolvable by doing a clean source install of the icecast program using icecast version 2.3.2

Version-Release number of selected component (if applicable):
2.3.1

How reproducible:
Installing and configuring icecast from the YUM repository on the system then set the binding sections to match the host IP, as example follows:
   <listen-socket>
       <port>8000</port>
       <bind-address>192.168.10.9</bind-address>
   </listen-socket>
   <listen-socket>
       <port>8000</port>
       <bind-address>127.0.0.1</bind-address>
   </listen-socket> 


Steps to Reproduce:
1.yum install icecast
2. configure the /etc/icecast.xml file according to server bindings requriements
3. service icecast start
4. netstat -anltp | grep ice
  
Actual results:
tcp        0      0 127.0.0.1:50347             0.0.0.0:*                   LISTEN      14950/icecast
tcp        0      0 0.0.0.0:47123               0.0.0.0:*                   LISTEN      14950/icecast
tcp        0      0 0.0.0.0:37591               0.0.0.0:*                   LISTEN      14950/icecast
tcp        0      0 192.168.10.9:38523          0.0.0.0:*                   LISTEN      14950/icecast 

Expected results:
tcp        0      0 192.168.10.2:8000           0.0.0.0:*                   LISTEN      4609/icecast
tcp        0      0 127.0.0.1:8000              0.0.0.0:*                   LISTEN      4609/icecast
tcp        0      0 0.0.0.0:8015                0.0.0.0:*                   LISTEN      4609/icecast
tcp        0      0 0.0.0.0:8016                0.0.0.0:*                   LISTEN      4609/icecast
tcp        0      0 192.168.10.2:8000           192.168.10.2:46062          ESTABLISHED 4609/icecast
tcp        0      0 192.168.10.2:8000           192.168.10.2:52417          ESTABLISHED 4609/icecast
tcp        0      0 192.168.10.2:8000           192.168.10.2:46060          ESTABLISHED 4609/icecast
tcp        0      0 192.168.10.2:8000           192.168.10.2:38873          ESTABLISHED 4609/icecast
tcp        0      0 192.168.10.2:8000           192.168.10.2:52419          ESTABLISHED 4609/icecast
tcp        0      0 192.168.10.2:8000           192.168.10.2:35130          ESTABLISHED 4609/icecast 

Additional info:
The threads from the icecast mailing list related to this issue, and its resolution is located at http://www.archivum.info/icecast@xiph.org/2008-07/msg00008.html
Comment 1 Bug Zapper 2009-06-09 23:30:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:59:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Fedora Update System 2009-10-22 11:02:13 EDT
icecast-2.3.2-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/icecast-2.3.2-4.el5
Comment 4 Fedora Update System 2009-10-23 19:20:37 EDT
icecast-2.3.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.